Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1892883 - F34FailsToInstall: python3-discord
Summary: F34FailsToInstall: python3-discord
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-discord
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2020-10-29 19:28 UTC by Miro Hrončok
Modified: 2021-09-24 20:09 UTC (History)
3 users (show)

Fixed In Version: python-discord-1.7.3-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-24 20:09:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Rapptz discord.py issues 5970 0 None closed aiohttp old version raised via github dependabot 2021-01-12 10:11:08 UTC

Description Miro Hrončok 2020-10-29 19:28:18 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-discord) Fails To Install in Fedora 34:

can't install python3-discord:
  - nothing provides (python3.9dist(aiohttp) < 3.7 with python3.9dist(aiohttp) >= 3.6) needed by python3-discord-1.5.1-1.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Ben Cotton 2021-02-09 15:22:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 oleg.makarenko 2021-03-16 10:41:53 UTC
Have similar issue with Fedora 33 that has recently updated python3-aiohttp-3.6.2 to python3-aiohttp-3.7.4 making it incompatible with python3-discord 1.5.1


sudo dnf update 

Problem: package python3-discord-1.5.0-1.fc33.noarch requires (python3.9dist(aiohttp) < 3.7 with python3.9dist(aiohttp) >= 3.6), but none of the providers can be installed
  - cannot install both python3-aiohttp-3.7.4-1.fc33.x86_64 and python3-aiohttp-3.6.2-5.fc33.x86_64
  - cannot install both python3-aiohttp-3.6.2-5.fc33.x86_64 and python3-aiohttp-3.7.4-1.fc33.x86_64
  - cannot install the best update candidate for package python3-discord-1.5.0-1.fc33.noarch
  - cannot install the best update candidate for package python3-aiohttp-3.6.2-5.fc33.x86_64

Comment 3 alex 2021-07-01 06:52:39 UTC
This has been fixed in the upstream: https://github.com/Rapptz/discord.py/commit/7f3737fcc2fc32078b0904131adcaa75d5eda942. Can the package be updated? I tried to make a pull request myself but I'm not in the packagers group and I couldn't figure out how to upload to the lookaside cache.

Comment 4 Miro Hrončok 2021-07-01 09:27:06 UTC
> I tried to make a pull request myself but I'm not in the packagers group and I couldn't figure out how to upload to the lookaside cache.

Open the pull request without the upload and say in the intiial comment that it is required before merging.

Comment 5 alex 2021-07-03 07:38:28 UTC
(In reply to Miro Hrončok from comment #4)
> Open the pull request without the upload and say in the intiial comment that
> it is required before merging.

I found that the f33 branch was already updated to 1.6.0 which includes the fix but the package hasn't been built for some reason. I made a PR to update to the latest version anyway.

Comment 6 Fedora Update System 2021-08-26 11:16:49 UTC
FEDORA-2021-a6a831c72a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a6a831c72a

Comment 7 Fedora Update System 2021-08-26 19:50:16 UTC
FEDORA-2021-a6a831c72a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a6a831c72a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a6a831c72a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Miro Hrončok 2021-08-30 17:26:41 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 9 Fedora Update System 2021-09-24 20:09:06 UTC
FEDORA-2021-a6a831c72a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.